"""
Computes the rank of a matrix.

Depends on numpy.
"""

import sys
import numpy as np

def rank(A):
    """
    Return the rank of A.
    """
    M = np.matrix(A)
    return np.linalg.matrix_rank(M)

if __name__ == '__main__':
    if len(sys.argv) != 2:
        print "Usage: %s <A>"%sys.argv[0]
        print "Outputs the rank of A."
        sys.exit(1)
    else:
        print rank(eval(sys.argv[1]))
